-------------------
-- CT_RAMenu.lua --
-------------------

-- Options Menus
CT_RA_MNU_GENERAL_OPT 			= "General Options";
CT_RA_MNU_GENERAL_OPT_DESC 		= "Change general stuff, such as whether to show mana bars, etc etc.";
CT_RA_MNU_BUFF_OPT 				= "Buff Options";
CT_RA_MNU_BUFF_OPT_DESC 		= "Change the way Buffs and Debuffs are displayed.";
CT_RA_MNU_MISC_OPT 				= "Misc Options";
CT_RA_MNU_MISC_OPT_DESC 		= "Things that do not fit in other categories go here.";
CT_RA_MNU_ADD_OPT 				= "Additional Options";
CT_RA_MNU_ADD_OPT_DESC 			= "Regulating message spam, scaling of windows, etc.";
CT_RA_MNU_INSTALL_OPT 			= "Installation Guide";
CT_RA_MNU_INSTALL_OPT_DESC 		= "Just started using the mod? Look here for instructions on how to set it up.";
CT_RA_MNU_DEBUFF_CURING 		= "Debuff Curing";
CT_RA_MNU_DEBUFF_CURING_DESC 	= "Configure the debuff curing feature.";
CT_RA_MNU_OPTION_SETS 			= "Option Sets";
CT_RA_MNU_OPTION_SETS_DESC 		= "Save and load sets of options for easier setup.";


	-- General Options
CT_RA_MNU_SHOW_VALUES 			= "Show Values";
CT_RA_MNU_SHOW_PERCENT 			= "Show Percentages";
CT_RA_MNU_SHOW_DEFICIT 			= "Show Deficit";
CT_RA_MNU_SHOW_MTT_ONLY 		= "Show only MTT HP %";
CT_RA_MNU_SHOW_NONE 			= "Show None";

CT_RA_OPT_MAIN_TANKS			= "Main Tanks";
CT_RA_OPT_SHOW_NB_MT 			= "Show number of main tanks:";

CT_RA_OPT_UPDATE_STATUS			= "Update Status";
CT_RA_OPT_RESET_POST			= "Reset CTRaid Positions";


	-- Additionnal Options
CT_RA_MNU_GROUP_SCALING 		= "Group Scaling";
CT_RA_MNU_HEALTH_THRESHOLD 		= "Health Threshold";
CT_RA_MNU_HEALTH_THRESHOLD_DESC = "Regulates the health threshold of when to display the health bars.";
CT_RA_MNU_SCALING 				= "Scaling";
CT_RA_MNU_SCALING_DESC 			= "Rescales the window to make it larger or smaller.";
CT_RA_MNU_BKG_OPACITY 			= "Background Opacity";
CT_RA_MNU_MTPT_SCALING 			= "MT/PT Scaling";
CT_RA_MNU_FRAME_ALPHA			= "Frame Alpha";
CT_RA_MNU_FRAME_ALPHA_OFF		= "Off";

-- Help Tiptools
CT_RAMENU_GENERAL_DISPLAY_HELP 	= "|c00FFFFFFShow Group Names -|r Turns on/off the headers for each group\n\n|c00FFFFFFLock Group Positions -|r Locks all CTRA windows in place\n\n|c00FFFFFFHide Mana Bars -|r Hides all players mana bars\n\n|c00FFFFFFHide Health Bars -|r Hide all players health bars\n\n|c00FFFFFFHide Rage/Energy Bars -|r Hides all players rage and energy bars\n\n|c00FFFFFFHealth Type -|r Allows you to show players health as a percentage,\nactual value, missing hp, only  the  percentage on MainTank targets, or not at all. You can also customize the color the text is shown in\n\n|c00FFFFFFWindow BG Color -|r Changes the color of CTRA window\nbackgrounds, dragging the slider all the way to 100%\nmakes them transparent\n\n|c00FFFFFFAlert Message Color -|r Sets the color the /rs alert messages\nshow in the middle of you screen";
CT_RAMENU_GENERAL_MISC_HELP 	= "|c00FFFFFFHide offline members -|r Allows you to hide members who\nare offline, so they don't show in CTRA groups\n\n|c00FFFFFFHide border -|r Allows you to hide the border of each CTRA window\n\n|c00FFFFFFSort Type -|r Sort by either group, class, or custom. Sorting\n by Class displays each member in a class category, sorting\nby Custom allows you to charge who shows up in which groups";
CT_RAMENU_DEBUFF_HELP 			= "Allows you to be notified via chat when someone becomes debuffed with the types listed above, as well as allows you to be notified when someone loses a buff you are able to recast\n\n|c00FFFFFFNOTE :|r To quickly debuff a cured player, or recast a faded buff, map a hotkey via the game key bindings menu (|c00FFFFFFEscape|r > |c00FFFFFFKey Bindings|r > |c00FFFFFFCT_RaidAssist section|r) to one-click recast or cure";
CT_RAMENU_SCALE_WINDOW_HELP 	= "Allows you to scale the CTRA group and MT windows.";
CT_RAMENU_MC_HELP 				= "Allows you to have CTRA cancel healing spells if the target has above a certain percentage of health.\n\n|c00FFFFFFCheck Time -|r Sets the amount of time before a healing spell lands to perform the health check.\n\n|c00FFFFFFNOTE:|r Only visible if you have healing spells.";
CT_RAMENU_CURE_HELP 			= "Allows you to regulate the classes this set will attempt to cure matching debuffs on.";
CT_RAMENU_SET_HELP 				= "Allows you to change the name and details of the selected set. In any of the three bottom fields, you can use an asterix (|c00FFFFFF*|r) as a wildcard for zero or more characters. You can also use regular expressions, if you have the knowledge to use that.";

CT_RA_MNU_GROUP 				= "Group";
CT_RA_MNU_CLASS 				= "Class";
CT_RA_MNU_CUSTOM 				= "Custom";
CT_RA_MNU_VIRTUAL 				= "Virtual";

	-- Option Sets
CT_RA_MNU_CURRENT_SET 			= "Current Set: ";
CT_RA_MNU_NEW_SET 				= "New set";
CT_RA_MNU_EDIT_SET 				= "Editing set ";


	-- Debuff Curing
CT_RA_MNU_TARGET				= "Target";
CT_RA_MNU_RAID_PETS 			= "Raid's Pets";
CT_RA_MNU_PARTY_PETS 			= "Party's Pets";
CT_RA_MNU_PET 					= "Pet";
CT_RA_MNU_PLAYER 				= "Player";
CT_RA_MNU_PARTY 				= "Party";
CT_RA_MNU_RAID 					= "Raid";


-- CTRaid Messages
CT_RA_MSG_RESET 				= "All options reset due to new options format. We apoligize for this.";


-------------------
-- CT_RAMenu.xml --
-------------------

-- Menu Elements
CT_RA_ANSWER 					= "[Answer]";
CT_RA_THANK_YOU 				= "Thank you!";


	-- General Options
CT_RA_OPT_SHOW_GRP_NAMES 		= "Show Group Names";
CT_RA_OPT_LOCK_POSIT 			= "Lock Group Positions";
CT_RA_OPT_HIDE_MANA_BARS 		= "Hide Mana Bars";
CT_RA_OPT_HIDE_HEALTH_BARS 		= "Hide Health Bars";
CT_RA_OPT_HIDE_RE_BARS 			= "Hide Rage/Energy Bars";
CT_RA_OPT_HEALTH 				= "Health:";
CT_RA_OPT_WINDOW_BG_COLOR 		= "Window BG Color";
CT_RA_OPT_ALERT_MSG_COLOR 		= "Alert Message Color";
CT_RA_OPT_BROADCAST_CHANNEL 	= "Broadcast Channel";

CT_RA_OPT_MISC 					= "Misc.";
CT_RA_OPT_HIDE_OFFLINE 			= "Hide offline members";
CT_RA_OPT_SORT_PLAYERS_ALPHA 	= "Sort players in groups alphabetically";
CT_RA_OPT_HIDE_BORDER 			= "Hide border";
CT_RA_OPT_REMOVE_SPACING 		= "Remove spacing";
CT_RA_OPT_DISPLAY_MT 			= "Display Main Tanks";
CT_RA_OPT_DISPLAY_RAIDSTATUS 	= "Display RaidStatus";
CT_RA_OPT_SHOW_GRP_HORIZ 		= "Show groups horizontally";
CT_RA_OPT_EXPAND_UPWARDS 		= "Expand Groups Upwards";
CT_RA_OPT_SORT_TYPE 			= "Sort Type:";


	-- Misc. Options
CT_RA_OPT_SHOW_MT_DEATH_NOTICE 	= "Notify on Tank Death";
CT_RA_OPT_SEND_RS_RA 			= "Send /rs messages to /ra also";
CT_RA_OPT_SOUND_RS 				= "Play sound on /rs messages";
CT_RA_OPT_SHOW_TOOLTIP 			= "Show raid mouseover tooltip";
CT_RA_OPT_SHOW_AFK	 			= "Show AFK status";
CT_RA_OPT_SHOW_RM 				= "Show Resurrection Monitor";
CT_RA_OPT_DISABLE_QUERY 		= "Disable item/resists query replies";
CT_RA_OPT_COLOR_LEADER 			= "Color Raid Leader in chat";
CT_RA_OPT_HIDE_MINIMAP_BUT		= "Hide minimap button";
CT_RA_OPT_NOTIFY_GRP_CHANGES 	= "Notify on group changes";
CT_RA_OPT_AUDIBLE_NOTIF 		= "Audible notification";
CT_RA_OPT_SHOW_PTT 				= "Show Player Target's Target";
CT_RA_OPT_SHOW_MTTT 			= "Show MT's Target's Target";
CT_RA_OPT_HIDE_TARGET_NOTIF 	= "Hide target change notifier";
CT_RA_OPT_NOTIFY_AGGRO 			= "Notify on aggro gain";
CT_RA_OPT_PLAY_SOUND 			= "Play sound";

CT_RA_OPT_MSPOS_INFO			= "Position/Size of\nMessage Frame";
CT_RA_OPT_MSPOS_X			= "Horizontal";
CT_RA_OPT_MSPOS_Y			= "Vertical";
CT_RA_OPT_MSPOS_SCALE			= "Scaling";
CT_RA_OPT_MSPOS_TEST_BUTTON		= "Test";
CT_RA_OPT_MSPOS_TEST_MESSAGE		= "*** Test Message ***";
CT_RA_OPT_WAPOS_INFO			= "Position/Size of\nWarning Frame";
CT_RA_OPT_WAPOS_TEST_MESSAGE		= "*** Test Warning ***";

CT_RA_OPT_GROUP_ARRANGE_BUTTON		= "Edit";
CT_RA_OPT_GROUP_ARRANGE_INFO		= "CT_RaidAssist group arrangement";

CT_RA_OPT_RAIDSTATUS_SCALE_INFO		= "Raid-Status frame";

--Rearrange Group positions
CT_RA_ARRGROUPS_HEADER			= "Group-Arrangement";
CT_RA_ARRGROUPS_BUTTON_CLOSE		= "Done";
CT_RA_ARRGROUPS_BUTTON_RESET		= "Reset";
CT_RA_ARRGROUPS_SLIDER_DX		= "Horizontal Spacing";
CT_RA_ARRGROUPS_SLIDER_DY		= "Vertical Spacing";
CT_RA_ARRGROUPS_SLIDER_OX		= "Horizontal Offset";
CT_RA_ARRGROUPS_SLIDER_OY		= "Vertical Offset";

	--Buffs Options
CT_RA_OPT_DEBUFFS 				= "Debuffs";
CT_RA_OPT_BUFFS 				= "Buffs";
CT_RA_OPT_NOTIFICATIONS 		= "Notifications";
CT_RA_OPT_NOTIFY_DEBUFFED 		= "Notify me when someone is debuffed with selected";
CT_RA_OPT_NOTIFY_FADED 			= "Notify when a buff you can cast has faded";
CT_RA_OPT_REQUIREMENTS 			= "Note that both class and group must fit the requirements";

	-- Additionnal Options
CT_RA_OPT_RESET_POS 			= "Reset CTRaid Positions";
CT_RA_OPT_WINDOW_SCALING 		= "Window Scaling";
CT_RA_OPT_WS_TEXT 				= "Sets the scale of raid windows.";
CT_RA_OPT_EM_TEXT 				= "Displays up to 5 health bars of the party/raid members with the lowest health.";
CT_RA_OPT_EM					= "Emergency Monitor";
CT_RA_OPT_SHOW_EM 				= "Show Emergency Monitor";
CT_RA_OPT_SHOW_ONLY_PARTY 		= "Show only own party";
CT_RA_OPT_SHOW_OUTSIDE 			= "Show outside raid";
CT_RA_OPT_CHANGES_OPACITY 		= "Changes the health and mana bars' background opacity.";
CT_RA_OPT_BARS_BG_OPACITY 		= "Health and Mana Bars' Background Opacity";
CT_RA_OPT_ALPHA_MIN				= "Modifies the minimum alpha of the frames (see [?]).";

	-- Debuff Curing
CT_RA_OPT_SET_DETAILS 			= "Set Details";
CT_RA_OPT_SET_NAME 				= "Set Name:";
CT_RA_OPT_DEBUFF_TITLE 			= "Debuff Title:";
CT_RA_OPT_DEBUFF_TYPE 			= "Debuff Type:";
CT_RA_OPT_DEBUFF_DESC 			= "Debuff Description:";
CT_RA_OPT_CLASS_REGULATIONS 	= "Class Regulations";
CT_RA_OPT_NEW_SET 				= "New Set";
CT_RA_OPT_DELETE_SET 			= "Delete Set";
CT_RA_OPT_EDIT_PRIO 			= "Edit Priorities";
CT_RA_OPT_USED_PRIO 			= "Used Priorities";
CT_RA_OPT_AVAIL_PRIO 			= "Available Priorities";

	-- Option Sets
CT_RA_OPT_SAVE_AS 				= "Save As";
CT_RA_OPT_SAVE 					= "Save";
CT_RA_OPT_SAVE_CHANGES 			= "Save Changes";
CT_RA_OPT_UNDO_CHANGES 			= "Undo Changes";
CT_RA_OPT_CURR_SET_NONE 		= "Current Set: None";
CT_RA_OPT_NEW_SET_TEXT 			= "Type in the name of the new set:";
CT_RA_OPT_SET_NAME_USED 		= "This name is already used by another set.";
CT_RA_OPT_DELETE 				= "Delete";
CT_RA_SET 						= "Set";
CT_RA_SURE_DELETE 				= "Are you sure you want to delete";
CT_RA_SET_BUTTON_PLACE 			= "Option Sets Button Placement";
CT_RA_SET_BUTTON_TEXT 			= "Drag the slider to change the position of the Option Sets button";
