	-- (CT_RASlashCmds.lua)
CT_RA_SLASH_COMMANDS 		= "Slash Commands";
CT_RA_SHORTCUTS_AVAILABLE 	= "Shortcuts Available: ";
CT_RA_CMD_RAHELP 			= "Shows this dialog.";
CT_RA_CMD_RARES 			= "Usable via |b/rares [show/hide]|eb, this shows or hides the resurrection monitor.";
CT_RA_CMD_RS 				= "Usable via |b/rs [text]|eb, this sends a message to all CTRA users in the raid, which appears in the center of the screen (|brequires leader or promoted status|eb).";
CT_RA_CMD_RAUPDATE 			= "Updates raid stats (|brequires leader or promoted status|eb).";
CT_RA_CMD_RAKW 				= "Automatically invites people whispering you the set keyword. You can limit number of people by indicating a maximum.";
CT_RA_CMD_RADISBAND 		= "Disbands the raid (|brequires leader or promoted status|eb)";
CT_RA_CMD_RASHOW 			= "Usable via |b/rashow|eb or |b/rashow all|eb, this shows groups hidden, or all groups.";
CT_RA_CMD_RAHIDE 			= "Hides all shown groups.";
CT_RA_CMD_RAOPT 			= "Shows the options dialog.";
CT_RA_CMD_RAREADY 			= "Performs a ready check, asking all CTRA users if they are ready (|brequires promoted or leader status|eb).";
CT_RA_CMD_RAVOTE 			= "Usage: |b/ravote [question]|eb - Performs a vote, asking the raid for their opinion on the question. Results are broadcasted to raid chat after 30 seconds.";
CT_RA_CMD_RARLY 			= "Performs a rly check, asking all CTRA users if they are rly (|brequires promoted or leader status|eb).";
CT_RA_CMD_RAINVITE 			= "Usable via |b/rainvite minlevel-maxlevel|eb or |b/rainvite level|eb this will invite all guild members within the chosen level range.";
CT_RA_CMD_RAZINVITE 		= "Usable via |b/razinvite minlevel-maxlevel|eb or |b/razinvite level|eb this will invite all guild members within the chosen level range in your own zone.";
CT_RA_CMD_RADUR 			= "Performs a durability check, which shows every CTRA member's durability percent (|brequires promoted or leader status|eb).";
CT_RA_CMD_RAREG 			= "Performs a reagent check, which shows every CTRA member's reagent count (|brequires promoted or leader status|eb).";
CT_RA_CMD_RAITEM 			= "Usable via |b/raitem ItemName|eb or |b/raitem [Item Link]|eb; allowing for you to type in or shift+click a link to see everyone in raid who has the item listed.  (Very useful to do |b/raitem Aqual Quintessence|eb to see who came to MC prepared).";
CT_RA_CMD_RAVERSION 		= "Performs a version check, which shows every member's CTRA version.";
CT_RA_CMD_RARESIST 			= "Performs a resistance check, which shows every CTRA member's resistances (|brequires promoted or leader status|eb).";
CT_RA_CMD_RAZONE 			= "Performs a zone check, which shows every CTRA member outside of your zone.";
CT_RA_CMD_RAPING			= "Performs a ping check, which shows every ping of CTRA members";
CT_RA_CMD_RAREPUT			= "Performs a reputation check, which shows all reputation status of one raid member";
CT_RA_CMD_RAQUIET 			= "Stop the raid from talking while leaders talk (|brequires leader or promoted status|eb).";


-- CTRaid Messages
CT_RA_MSG_RC_PERFORMED 		= " has performed a ready check.";
CT_RA_MSG_RC_CHECKED 		= "Ready status is being checked for ";

CT_RA_MSG_VOTE_PERFORMED 	= " has performed a vote: ";
CT_RA_MSG_VOTE_PERFORMING 	= "Performing raid vote: ";

CT_RA_MSG_ASKS_ORLY 		= " asks the raid: O RLY?";
CT_RA_MSG_ORLY_CHECKED 		= "O RLY status is being checked for ";

CT_RA_MSG_NEED_GUILD 		= "You need to be in a guild to mass invite.";
CT_RA_MSG_RAID_INVITE 		= "Raid invites are coming in 10 seconds for players level ";
CT_RA_MSG_RAID_INVITE2 		= " to ";
CT_RA_MSG_RAID_INVITE3 		= ", leave your groups.";
CT_RA_MSG_RAZINVITE_USAGE 	= "Syntax Error. Usage: |c00FFFFFF/razinvite level|r or |c00FFFFFF/razinvite minlevel-maxlevel|r.";
CT_RA_MSG_RAZINVITE 		= "This command mass invites everybody in the guild in the current zone within the selected level range (or only selected level if maxlevel is omitted).";
CT_RA_MSG_RAINVITE_USAGE 	= "Syntax Error. Usage: |c00FFFFFF/rainvite level|r or |c00FFFFFF/rainvite minlevel-maxlevel|r.";
CT_RA_MSG_RAINVITE 			= "This command mass invites everybody in the guild within the selected level range (or only selected level if maxlevel is omitted).";

CT_RA_MSG_RARES_USAGE 		= "Usage: |c00FFFFFF/rares [show/hide]|r - Shows/hides the Resurrection Monitor.";

CT_RA_MSG_STATS_UPDATED 	= "Stats have been updated for the raid group.";

CT_RA_MSG_KW_OFF 			= "Keyword Inviting has been turned off.";
CT_RA_MSG_KW_SET1 			= "Invite Keyword has been set to ";
CT_RA_MSG_KW_SET2 			= ". Use |c00FFFFFF/rakeyword off|r to turn Keyword Inviting off.";
CT_RA_MSG_KW_NOT			= "There is no Invite Keyword set.";
CT_RA_MSG_KW_NB 			= "Number of members limited to ";

CT_RA_MSG_RAITEM_USAGE 		= "Usage: |c00FFFFFF/raitem Item Name|r  NOTE: You can also use item links.";

CT_RA_MSG_QUIET_DISABLE 	= "Quiet Mode has been disabled.";
CT_RA_MSG_QUIET_ENABLE 		= "Quiet Mode has been enabled.";
CT_RA_MSG_RAID_CANT_TALK 	= "You can't talk in the raid channel at this time (Quiet Mode enabled).";

CT_RA_MSG_NOT_IN_RAID		= " is not in raid.";


-- Check Windows
CT_RA_DURABILITY_CHECK = "Durability Check";
CT_RA_DURABILITY_PERCENT = "Durability Percent";
CT_RA_REAGENT_CHECK = "Reagent Check";
CT_RA_REAGENT_COUNT = "Reagent Count";
CT_RA_ITEM_CHECK = "Item Check";
CT_RA_ITEM_COUNT = "Item Count";
CT_RA_VERSION_CHECK = "Version Check"
CT_RA_VERSION_LIST = "Version"
CT_RA_RESIST_CHECK = "Resist Check";
CT_RA_ZONE_CHECK = "Zone Check";
CT_RA_ZONE_NAME = "Zone Name";
CT_RA_PING_CHECK = "Ping Check";
CT_RA_PING_VALUE = "Ping Value";
CT_RA_REPUT_CHECK = "Reputation";
CT_RA_REPUT_FACTION = "Faction";